Not compatible with python2.7

Bug #662611 reported by Dag Odenhall
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python-virtualenv (Ubuntu)
High
Evan Broder

Bug Description

Binary package hint: python-virtualenv

$ virtualenv -p python2.7 testenv
Running virtualenv with interpreter /usr/bin/python2.7
New python executable in testenv/bin/python2.7
Also creating executable in testenv/bin/python
Traceback (most recent call last):
  File "/home/dag/testenv/lib/python2.7/site.py", line 67, in <module>
    import os
  File "/home/dag/testenv/lib/python2.7/os.py", line 398, in <module>
    import UserDict
  File "/home/dag/testenv/lib/python2.7/UserDict.py", line 83, in <module>
    import _abcoll
  File "/home/dag/testenv/lib/python2.7/_abcoll.py", line 11, in <module>
    from abc import ABCMeta, abstractmethod
  File "/home/dag/testenv/lib/python2.7/abc.py", line 8, in <module>
    from _weakrefset import WeakSet
ImportError: No module named _weakrefset
ERROR: The executable testenv/bin/python2.7 is not functioning
ERROR: It thinks sys.prefix is '/home/dag' (should be '/home/dag/testenv')
ERROR: virtualenv is not compatible with this system or executable

Barry Warsaw (barry)
tags: added: python27
removed: python2.7
Revision history for this message
F. Hantho (hantho) wrote :

It looks like the issue is known to the author of virtualenv http://bitbucket.org/ianb/virtualenv/issue/63/now-python27-requires-_weakrefset and also that it will be fixed in the newest version of Python 2.7 http://bugs.python.org/issue2521

Barry Warsaw (barry)
Changed in python-virtualenv (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Barry Warsaw (barry)
milestone: none → natty-alpha-1
Revision history for this message
Barry Warsaw (barry) wrote :

Attached debdiff will resolve the problem. Note that because of package importer failures

http://package-import.ubuntu.com/status/python-virtualenv.html#2010-04-21 01:05:45.434033

no merge proposal is possible.

Revision history for this message
Barry Warsaw (barry) wrote :
Changed in python-virtualenv (Ubuntu):
status: Confirmed → In Progress
tags: added: natty
removed: maverick
Evan Broder (broder)
Changed in python-virtualenv (Ubuntu):
assignee: Barry Warsaw (barry) → Evan Broder (broder)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-virtualenv - 1.4.9-3ubuntu1

---------------
python-virtualenv (1.4.9-3ubuntu1) natty; urgency=low

  * Add weakrefset to REQUIRED_MODULES. Backports unreleased upstream fix
    for Python 2.7 compatibility.
    http://bitbucket.org/ianb/virtualenv/issue/63/now-python27-requires-_weakrefset
    (LP: #662611)
 -- Barry Warsaw <email address hidden> Wed, 24 Nov 2010 18:05:21 -0500

Changed in python-virtualenv (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.